Skip to main content
InSource Solutions

TN Hist260 MSSQL 2014 Failes To Setup Due To .NET 3.5.1 Failure To Install

Description

 

This article from InSource shows how to remove 2 security updates which block the feature of .NET 3.5.1 from being enabled on Server 2012 R2. 

  • Author: Lewis Talley
  • Published: 8/16/2016
  • Applies to: MSSQL 2014

Details

If you encounter  this error when attempting to enable .NET 3.5.1 (which is a requirement for installing MSSQL 2014):

There is a fix from Microsoft to manually remove 2 security updates..

KB2966828: MS14-046: Description of the security update for the .NET Framework 3.5 on Windows 8.1 and Windows Server 2012 R2: August 12, 2014

KB2966827: MS14-046: MS14-046: Description of the security update for the .NET Framework 3.5 on Windows 8 and Windows Server 2012: August 12, 2014

 

or more simply you can run this update which will remove them for you.

 

https://support.microsoft.com/en-us/kb/3005628